// Project Lab - NHTV Igad

#pragma once

#include "Components/CapsuleComponent.h"
#include "CreatureSpawnComponent.generated.h"

/**
 * 
 */
class ASpawnerBase;
UCLASS()
class UNREALPROJECT_API UCreatureSpawnComponent : public UCapsuleComponent
{
	GENERATED_UCLASS_BODY()

public:
	ASpawnerBase* spawnerBase;
	
	virtual FPrimitiveSceneProxy* CreateSceneProxy() override;

};
